Subject: FVWM: enough clicktofocus; how about an edgescroll buglet

From: Eli Burke <[email-masked]>
Date: Fri, 25 Oct 1996 13:12:12 -0400 (EDT)

Here's a little oddity I just noticed. 
(I believe these are the pertinent lines from the config file:)
EdgeScroll 100 100
EdgeResistance 350 10

If you move a window all the way to the edge of the screen, so that it is
flush against the border without popping across, and then put your mouse
up against the edge of the screen and click as though you were trying to
grab the resize handle, you will instead get a root menu. 
Of course this only works when you are on a border that leads to another
virtual screen. At the Virtual edge, you get a mouse pointer that DOESN'T
pop up a root menu, but instead seems to select the window for moving.

-- 
Eli Burke
[email-masked] 
http://csugrad.cs.vt.edu/~eburke/ 
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Bob Woodside <[email-masked]>
Date: Fri, 25 Oct 1996 18:15:12 -0400 (EDT)

Eli -

	Whew! A different topic. "For this relief, much thanks."

> move a window...to the edge of the screen...flush against the border...click
> as though...to grab the resize handle...get a root menu.

	This works fine on my system (Linux, AcceleratedX server, fvwm 2.0.43).
I'd be very surprised if fvwm were the culprit here. I would suspect first that
your monitor might be a little out of adjustment: that there is a tiny bit
of screen real estate that doesn't show, and that the window only appears to be
flush against the edge. Could this be the case? I can readily make it happen on
my Mag monitors by playing with the resizing controls.

	When you click, do you see the "I'm-on-the-edge" or "I'm on the corner"
cursors, or the default desktop cursor (perhaps partially obscured)? Or, can
you verify that the x,y coordinates are really at the edge of the screen as
viewed by X & fvwm, not by your eyes? (God, I hope I don't sound condescending!
Been reading too much stuff with an unpleasant tone to it around here lately.)

	Good luck!
	Bob